  :root {
  /* Colores principales */
  --color-primary: #d00e3d;
  --color-primary-dark: #aa052c;
  --color-secondary-light: #858a90;
  --color-secondary: #394854;
  --color-secondary-dark: #222b32;
  --color-form-background: #f5f4f5;
  --color-white: #fff;
  --color-white-60: rgba(255,255,255,0.6);
  --max-width: 1200px;
  --font-family-base: "Geist", sans-serif;
  --font-size-base: clamp(.9rem, .9vw, 1.1rem);
  --font-weight-400: 400;
  --font-weight-600: 600;
  --font-size-title: calc(0.50rem + 5 * ((100vw - 720px) / 720));
  --font-size-special: calc(1.8rem + 5 * ((100vw - 720px) / 720));
  --font-title-special: "Tomorrow", sans-serif;
  --font-raleway:  "Raleway", sans-serif;
  }
*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: var(--font-family-base);
    font-size: var(--font-size-base);
    line-height: 1.6;
    color: var(--color-secondary);
}

.page-content {
    width: 100%;
    max-width: var(--max-width);
    margin: 0 auto;
    padding: 2rem;
}
ul {
    list-style: none;
}
a {
    text-decoration: none;
}

.img-res {
    width:100%;
    height:auto;

}

/* ===============
    HEADER
/* =============== */
.header-top {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background: transparent;
    transition: background-color 0.3s ease;
    z-index: 999;
    padding: .4em 1em;
    border-bottom: solid 1px var(--color-white-60); 
    display: flex;
    flex-direction: row;
    justify-content: space-between;
} 
.header-top.scrolled {
    position: fixed; /* cuando haces scroll, se fija */
    background-color: var(--color-form-background);
}
.header-left {
    display:flex;
    justify-content:center;
    align-items:center;
}

.header-right {
        width:100%;
        display:flex;
        flex-direction:column;
        justify-content:center;
        align-items: center;
       
}

.header-right div:first-child {
    display:flex;
    flex-direction:column;
    
    align-items:center;
    width:100%;
    gap: 1em;
    color:#fff;
    border-bottom: solid 1px rgba(255,255,255,.2); 
    padding: .6em 1.3em;
}

.header-right div:first-child i {
    margin-right: .6em;
    color: var(--color-primary);
    font-size:1.2em;
}

@media(min-width:768px) {
    .header-right div:first-child {
        flex-direction:row;
        justify-content:flex-end;
    }
}

.header-right div:last-child {
    width:100%;
    text-align:right;
}

.header-top.scrolled .header-right div:first-child {
    color: var(--color-primary);
}


/*========================
    MENU
========================== */
/* Mobile-first */
.menu-container {
  
  color: #fff;
}

.menu-toggle {
  background: none;
  border: none;
  color: #fff;
  font-size: 1.2rem;
  padding: 1rem;
  cursor: pointer;
}

#menu-principal {
  list-style: none;
  margin: 0;
  padding: 0;
  display: none; /* oculto en móvil */
  
}

#menu-principal li {
  position: relative;
}

#menu-principal li a {
  display: block;
  position: relative;
  padding: 3px 10px;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
}

#menu-principal li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 4px;
  background-color: var(--color-primary);
  transition: width 0.3s ease;
}

#menu-principal li a:hover::after {
  width: 100%;
}

.header-top.scrolled #menu-principal li a {
    color: var(--color-secondary);
}
/* Submenús */
.menu {
    background: transparent;
}
#menu-principal li ul {
  display: none;
  position: absolute;
  top: 100%;
  left: 0; /* por defecto hacia la izquierda */
  min-width: 300px;
  background: #222;
  z-index: 999;
}

#menu-principal li:hover > ul {
  display: block;
}

#menu-principal li ul.align-right {
  left: auto;
  right: 0; /* fuerza alineación hacia la derecha */
}

/* Desktop */
@media (min-width: 768px) {
  .menu-toggle {
    display: none;
  }

  #menu-principal {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
    font-size: 1em;
  }

  #menu-principal li {
    display: inline-block; /* fuerza horizontal */
    margin-right: 1rem;
  }

  #menu-principal li ul {
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 300px; /* ancho mayor para submenú */
    background: #222;
  }

  #menu-principal li:hover > ul {
    display: block;
  }

  .sub-menu {
    text-align:right;
  }
}
 #menu-principal li ul.submenu-visible a {
   color:#fff !important;

  }

@media (max-width: 767px) {

    #menu-principal {
        flex-direction:column;
    }
    .menu {
        background: var(--color-secondary);
    }
  #menu-principal li ul {
    position: static;
    min-width: 100%;
  }
  #menu-principal li ul.submenu-visible {
    display: flex;
    flex-direction: column;
    
  }
}


/* =======================
IMAGEN DESTACADA HOME
/* ======================= */

/* Imagen destacada */
.featured-image {
    width: 100%;
    height: 50vh;
    overflow: hidden;
    position: relative;
}

.featured-image-page {
    width: 100%;
    height: 45vh;
    overflow: hidden;
    position: relative;
}

.featured-image img, .featured-image-page img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Contenedor overlay */
.hero-overlay {
    position: absolute;
    top: 50px;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column; /* mobile first: uno debajo del otro */
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 20px;
    text-align: center;
    color: #fff;
}

/* Bloques */
.hero-box {
    background: transparent;
    padding: 15px;
    border-radius: 8px;
    max-width: 90%;
}

.hero-box h1 {
        font-size: calc(var(--font-size-title) * 9.2);
        font-weight: var(--font-weight-600);
        line-height: .76957em;
        letter-spacing: -.04em;
}

.hero-box p {
    font-size: calc(var(--font-size-title) * 2.5);
    font-weight: var(--font-weight-600);
}

/* Tablet y Desktop */
@media (min-width: 768px) {
     /* Imagen destacada */
    .featured-image {
        height: 80vh;
    }
    .featured-image-page {
        height: 50vh;
    }

    .hero-overlay {
        top:0;
        flex-direction: row; /* en pantallas grandes, uno al lado del otro */
        justify-content: flex-start;
        align-items: center;
        text-align: left;
    }
    .hero-box {
        max-width: 40%;
    }
    .hero-box p {
        font-size: calc(var(--font-size-title) * 3.2);
         font-family: var(--font-raleway);
    }

}

.home-content {
    background: #f4f4f4;
    
}
.servicios-list {
    display: grid;
    grid-template-columns: 1fr;
    gap:2em;

}

.servicio-item {
    background: #fff;
    border-bottom: 6px solid var(--color-secondary-light);
    padding: 1em;
    display: flex;
    flex-direction:column;
    justify-content: center;
}

.servicio-item img {
    margin-bottom: 1em;
}

.titulo-item {
    width: 100%;
    text-align: center;
    min-height: 6em;
    margin: auto;
}

.titulo-item h3 {
    font-family: var(--font-raleway);
    font-size: 1.3em;
}

.btn-mas-info {
    background: var(--color-primary);
    color: #fff;
    text-transform: uppercase;
    padding: .6em 1em;
    border-radius: 10px;
    text-decoration: none;
    text-align: center;
 
}
.servicios-list-interno {
    display: grid;
    grid-template-columns: 1fr;
    gap:1em;

}

.servicios-list-interno img {
    border: solid 1px #858a90;
}

.modal-item img {
    cursor: pointer;
}

/* Modal */
.modal {
  display: none;
  position: fixed;
  z-index: 9999;
  padding-top: 60px;
  left: 0; top: 0;
  width: 100%; height: 100%;
  overflow: auto;
  background-color: rgba(0,0,0,0.9);
}

.modal-content {
  margin: auto;
  display: block;
  max-width: 90%;
  max-height: 80%;
}

#caption {
  margin: 15px auto;
  text-align: center;
  color: #ccc;
  font-size: 16px;
}

.close {
  position: absolute;
  top: 20px; right: 35px;
  color: #fff;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
}

@media(min-width:768px) {
    .servicios-list, .servicios-list-interno {
        grid-template-columns: 1fr 1fr 1fr;
    }


}


/* =================
    PAGE
/* ================= */

.page-destacado {
       font-size: var(--font-size-base);
       font-weight: var(--font-weight-600);
       letter-spacing: -.04em;
}

@media (min-width: 768px) {
    .page-destacado {
       font-size: calc(var(--font-size-title) * 1.1);
    }
}

/* ===============
    CONTACTO
/* =============== */

.page-contacto {
    width:100%;
    display:flex;
    flex-direction: column;
    margin:0;
    padding:0;
}

.page-contacto-2 {
    border-top: dotted 1px var(--color-secondary-light);
    background-color: var(--color-white);
}

.contacto-left-1 {
    display:flex;
    justify-content: flex-end;
    align-items:center;
    background: var(--color-primary-dark);
}

.contacto-left-1 div {
    padding:1em;
    font-size: var(--font-size-base);
    color: var(--color-white);

}

.contacto-right-1 {
    display:flex;
    justify-content: flex-start;
    align-items:center;
    background: var(--color-white);
}

.contacto-right-1 div {
    padding:2rem 1em 0 1em;
    font-size: var(--font-size-base);
    color: var(--color-secondary);
}

.contacto-ul {
    display:flex;
    flex-direction: column;
    gap: 1em;
}
.contacto-ul i {
    margin-right: .5em;
    color: var(--color-primary-dark);
    padding:.4em;
    border: solid 1px var(--color-primary-dark);
    border-radius: 50%;
}

.contacto-ul li:first-child i {
    padding: .4em .55em;
}
.contacto-ul li {
    padding: 1em 0;
    border-bottom: dotted 1px var(--color-secondary-light);
}

.contacto-ul li a {
    color: var(--color-secondary);
    font-size: var(--font-weight-600);
}

.contacto-left-2 {
    display:flex;
    justify-content: flex-end;
    align-items:center;
    
}

.contacto-left-2 div {
    padding:1em;
    font-size: var(--font-size-base);
    color: var(--color-secondary);

}

.contacto-right-2 {
    display:flex;
    justify-content: flex-start;
    align-items:center;

}

.contacto-right-2 div {
    padding:2rem 1em;
    font-size: var(--font-size-base);
    color: var(--color-secondary);
}

@media(min-width:768px) {
    .page-contacto {
        flex-direction:row;
    }

    .contacto-left-1 {
        width:50%;
    }

    .contacto-left-1 div {
        padding:10rem 2em;
        font-size: calc(var(--font-size-title) * 1.1);
        max-width: calc(var(--max-width) / 2);

    }

    .contacto-right-1 {
        width:50%;
    }

    .contacto-right-1 div {
        max-width: calc(var(--max-width) / 2);
    }

    .contacto-left-2 {
        width:50%;
    }

    .contacto-left-2 div {
        font-size: calc(var(--font-size-title) * 1.1);
        max-width: calc(var(--max-width) / 2);

    }

    .contacto-right-2 {
        width:50%;
    }

    .contacto-right-2 div {
        padding-left: 2em;
        max-width: calc(var(--max-width) / 2);
    }
}

.contacto-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.wpcf7-form-control {
    border-radius:0;
    border: transparent;
    background: var(  --color-form-background);
    padding: .7em 1em;
}

.wpcf7-submit {
    width:100%;
    background: var(--color-primary);
    color: var(--color-white);
    font-weight: var(--font-weight-600);
    font-size: var(--font-size-button);
    text-transform: uppercase;
    border-radius: 5px;
    padding:1em;
}

@media(min-width:768px) {
    .wpcf7-form {
        width:65%
    }
}
/******************
  FOOTER
*******************/
.pre-footer {
    background: var(--color-primary);
    width: 100%;
    text-align: center;
    padding: 1.4em 0;
}

.page-content-footer {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.page-content-footer div:first-child {
    font-family: var(--font-title-special);
    font-size: var(--font-size-special);
    color: #fff;
}

.page-content-footer div:first-child i {
    color:  rgba(255,255,255,.4);
}

.btn-mas-info-footer {
    background: var(--color-primary-dark);
    color: #fff;
    padding: 1em 2em;
    text-decoration: none;
    text-align: center;
 
}

@media(min-width: 768px) {
    .page-content-footer {
        flex-direction:row;
        justify-content: space-between;
        align-items: center;
    }
    
}

.footer, .footer-bottom {
    background:  var(--color-secondary-dark);
    color: var(--color-white);
}

.page-footer {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1em;
}

.page-footer a {
    color: var(--color-white);
}
    
@media(min-width:768px) {
    .page-footer {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

.footer-nav {
    margin-left:0;
    padding-left:0;
}

.footer-nav li {
    padding: .3em 0;
}

.footer-nav i {
    margin-right: .5em;
    color: var(--color-primary-dark);
    padding:.4em;
    border-radius: 50%;
}

.footer-nav li:first-child i {
    padding: .4em .55em;
}

.aislapor-footer-menu {
    margin-left:0;
    padding-left:0;
}

.aislapor-footer-menu li  {
    padding: .3em;
}

.aislapor-footer-menu .footer-i {
  position: relative;
  padding-left: 1.5rem; /* espacio para el ícono */
}

.aislapor-footer-menu .footer-i::before {
  font-family: "Font Awesome 6 Free"; /* familia de Font Awesome */
  font-weight: 400; /* regular */
  content: "\f058"; /* código unicode de fa-circle-check */
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  color: var(--color-primary);
  font-size: 1rem;
}




.footer-bottom {
    padding: 1em 0;
    border-top: solid 1px var(--color-white-60);
    display:flex;
    flex-direction:column;
    justify-content: center;
    align-items: center;
    gap: 1em;

}

@media(min-width:768px) {
    .footer-bottom {
        flex-direction:row;
     
    }
}

#mnmwp-main-menu {
    background:transparent !important;
}

#mnmwp-main-menu > ul > li {
    background:transparent !important;
}

.scrolled #mnmwp-main-menu ul li a {
    color: var(--color-secondary);
}

.scrolled #mnmwp-main-menu > ul > li.current-menu-item > a, #mnmwp-main-menu > ul > li.current-menu-ancestor > a {
    color: var(--color-secondary-dark);
}

.pg-2 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 2em;

}

@media(min-width:768px) {
    #mnmwp-main-menu ul.mnmwp-menu {
        display: flex;
        justify-content: flex-end;
    }

    .pg-2 {
        grid-template-columns: 1fr 1fr;
    }
}

.pg-2 div {
    text-align: justify;
}
.page-3 {
    display: grid;
    grid-template-columns: 1fr;
    gap:1em;
}

@media(min-width:768px) {
    .page-3 {
        grid-template-columns: 1fr 1fr 1fr;
    }

}

.list-left li {
    margin-left:-2.5em;
}